Name:           ht-editor
Version:        2.1.0
Release:        %mkrel 8
Summary:        File editor/viewer/analyzer for executables

Group:          Editors
License:        GPLv2
URL:            http://hte.sourceforge.net/
Source0:        https://downloads.sourceforge.net/hte/ht-%{version}.tar.bz2
# /usr/bin/ht conflicts with an existing program from texlive.
Patch1:         ht-2.1.0-change-program-name.patch
Patch2:         ht-2.1.0-gcc10.patch
Patch3:         ht-2.0.22-format.patch
Patch4:         ht-2.1.0-unsigned-char.patch
Patch5:         ht-2.1.0-uint-abs.patch

BuildRequires:  liblzo-devel
BuildRequires:  pkgconfig(ncurses)
BuildRequires:  pkgconfig(ncursesw)
BuildRequires:  pkgconfig(x11)
BuildRequires:  recode

%description
HT is a file editor/viewer/analyzer for executables. The goal is to combine
the low-level functionality of a debugger and the usability of IDEs. We plan
to implement all (hex-)editing features and support of the most important
file formats.

%prep
%setup -q -n ht-%{version}
%autopatch -p1
recode latin1..utf8 TODO

%build
autoreconf -vfi
%configure --enable-maintainermode
%make_build
# CFLAGS="%{optflags}" CXXFLAGS="%{optflags}"

%install
%make_install

%files
%doc ChangeLog COPYING AUTHORS NEWS README TODO KNOWNBUGS
%{_bindir}/ht-editor


%changelog
* Sat Oct 24 2020 akien <akien> 2.1.0-8.mga8
+ Revision: 1639068
- Version 2.1.0
- Fix build with GCC 10

* Thu Feb 13 2020 umeabot <umeabot> 2.0.22-8.mga8
+ Revision: 1513503
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Sun Sep 23 2018 umeabot <umeabot> 2.0.22-7.mga7
+ Revision: 1298211
- Mageia 7 Mass Rebuild

* Thu Sep 14 2017 cjw <cjw> 2.0.22-6.mga7
+ Revision: 1153811
- patch4: fix build when char is unsigned

* Thu Sep 14 2017 cjw <cjw> 2.0.22-5.mga7
+ Revision: 1153802
- patch2: fix build with gcc7
- patch3: fix printf format errors
+ daviddavid <daviddavid>
- honor user CFLAGS thus fixing empty debugsourcefiles.list

* Thu Feb 11 2016 umeabot <umeabot> 2.0.22-4.mga6
+ Revision: 954379
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 2.0.22-3.mga5
+ Revision: 749014
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 2.0.22-2.mga5
+ Revision: 680177
- Mageia 5 Mass Rebuild

* Fri Apr 25 2014 shlomif <shlomif> 2.0.22-1.mga5
+ Revision: 617787
- Fix BRs to have ncursesw-devel
- Importing SRPM based on the ht .src.rpm from Fedora RawHide

